## org.apache.poi.hssf.contrib.view
Class SVTableUtils

    java.lang.Object
      org.apache.poi.hssf.contrib.view.SVTableUtils

public class SVTableUtils
extends java.lang.Object

SVTableCell Editor and Renderer helper functions.

Author:
  Jason Height

Field Summary
`static java.awt.Color` `black` Description of the Field
`static javax.swing.border.Border` `noFocusBorder` Description of the Field
`static java.awt.Color` `white` Description of the Field

Constructor Summary
`SVTableUtils()`

Method Summary
`static java.awt.Color` `getAWTColor(HSSFColor clr)` Gets the aWTColor attribute of the SVTableUtils class
`static java.awt.Color` `getAWTColor(int index, java.awt.Color deflt)` This method retrieves the AWT Color representation from the colour hash table
`static java.awt.Font` `makeFont(HSSFFont font)` Creates a new font for a specific cell style

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### black

    public static final java.awt.Color black

  Description of the Field

### white

    public static final java.awt.Color white

  Description of the Field

### noFocusBorder

    public static javax.swing.border.Border noFocusBorder

  Description of the Field

Constructor Detail

### SVTableUtils

    public SVTableUtils()

Method Detail

### makeFont

    public static java.awt.Font makeFont(HSSFFont font)

  Creates a new font for a specific cell style

  Returns:
    Description of the Return Value

### getAWTColor

    public static final java.awt.Color getAWTColor(int index,
                                                   java.awt.Color deflt)

  This method retrieves the AWT Color representation from the colour hash table

  Parameters:
    `index` - Description of the Parameter
    `deflt` - Description of the Parameter
  Returns:
    The aWTColor value

### getAWTColor

    public static final java.awt.Color getAWTColor(HSSFColor clr)

  Gets the aWTColor attribute of the SVTableUtils class

  Parameters:
    `clr` - Description of the Parameter
  Returns:
    The aWTColor value

Copyright © 2003 Apache Software Foundation.